Bug 187553 - Disabled IRQ16 on 2.6.16-1.2080_FC5xen0
Disabled IRQ16 on 2.6.16-1.2080_FC5xen0
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-31 16:06 EST by Michele
Modified: 2008-01-19 23:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:36:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg of kernel booted w/ irqpoll cmdline opt (21.87 KB, text/plain)
2006-03-31 16:06 EST, Michele
no flags Details
dmesg w no irqpoll (42.31 KB, text/plain)
2006-03-31 16:07 EST, Michele
no flags Details
/proc/cpuinfo (2.31 KB, text/plain)
2006-03-31 16:08 EST, Michele
no flags Details

  None (edit)
Description Michele 2006-03-31 16:06:40 EST
Description of problem:
When benchmarking an httpd server in a xenU VM containing CentOS 4.3 and running
the xenU kernel associated with 2.6.16-1.2080_FC5xen0 I get this message:

irq 16: nobody cared (try booting with the "irqpoll" option)

Trying with irqpoll leads to:

BUG: soft lockup detected on CPU#0!
CPU 0:
Modules linked in: xt_physdev bridge ipv6 autofs4 hidp l2cap bluetooth
ip_conntrack_netbios_ns ipt_REJECT xt_state ip_conntrack nfnetlink xt_tcpudp
iptable_filter ip_tables x_tables video button battery ac lp parport_pc parport
nvram uhci_hcd sg ehci_hcd e1000 hw_random e752x_edac edac_mc dm_snapshot
dm_zero dm_mirror dm_mod raid1 ext3 jbd ata_piix libata sd_mod scsi_mod
Pid: 0, comm: swapper Not tainted 2.6.16-1.2080_FC5xen0 #1

and, in the middle of the dump:

irq 16: nobody cared (try booting with the "irqpoll" option)

endling like the previous with:

Disabling IRQ #16


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Boot the 2.6.16-1.2080_FC5xen0 kernel
2. Fire up a 256MB RAM/512SWAP xenU domain with standard CentOS 4.3 httpd started
3. do ab -n 10000 -c 100 http://ip.of.the.host/

Actual results:
kernel hangs for some seconds and disables irq16

Expected results:
no hang ofc

Additional info:
The hardware platform is a Dell SC1425 with 2 Xeon 3Ghz and 8GB of RAM.
The first time the second bug (the one probably triggered by irqpoll cmdline
option) I saw a Xen message telling me someone was writing outside his address
space.

Attached you can find dmesg of normal kernel, kernel with irqpoll and cat
/proc/cpuinfo.
Comment 1 Michele 2006-03-31 16:06:41 EST
Created attachment 127155 [details]
dmesg of kernel booted w/ irqpoll cmdline opt
Comment 2 Michele 2006-03-31 16:07:51 EST
Created attachment 127156 [details]
dmesg w no irqpoll
Comment 3 Michele 2006-03-31 16:08:30 EST
Created attachment 127157 [details]
/proc/cpuinfo
Comment 4 Dave Jones 2006-10-16 13:26:15 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Jon Stanley 2008-01-19 23:36:58 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.